## com.lowagie.tools
Class LPR.PrintJob

    java.lang.Object
      java.lang.Thread
          com.lowagie.tools.LPR.PrintJob

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  LPR

    private class LPR.PrintJob

extends java.lang.Thread

Job ************************

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`private byte[]` `dfA1`
`private char[]` `dfA2`
`(package private) java.lang.String` `document`
`(package private) java.lang.String` `id`
`(package private) int` `mode`
`(package private) java.lang.String` `queue`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`LPR.PrintJob(java.lang.String queue, byte[] data, java.lang.String document)`
`LPR.PrintJob(java.lang.String queue, char[] data, java.lang.String document)`

Method Summary
`java.lang.String` `getJobId()`
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### queue

    java.lang.String queue

### document

    java.lang.String document

### id

    java.lang.String id

### mode

    int mode

### dfA1

    private byte[] dfA1

### dfA2

    private char[] dfA2

Constructor Detail

### LPR.PrintJob

    public LPR.PrintJob(java.lang.String queue,
                        byte[] data,
                        java.lang.String document)

### LPR.PrintJob

    public LPR.PrintJob(java.lang.String queue,
                        char[] data,
                        java.lang.String document)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### getJobId

    public java.lang.String getJobId()